complexType "DefinePosition"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | positionId?, version?, status?, creationDate?, originatingEvent?, history?, reportingRoles?, constituent?, scheduledDate*, valuation*, forceMatch?
</...>

Content Model Elements (11):

  constituent (defined in Position complexType),
  creationDate,
  forceMatch,
  history,
  originatingEvent (defined in PositionStatusInfo.model group),
  positionId,
  reportingRoles (defined in Position complexType),
  scheduledDate (defined in Position complexType),
  status (defined in PositionStatusInfo.model group),
  valuation (defined in Position complexType),
  version (defined in PositionIdAndVersion.model group)

All Direct / Indirect Based Elements (2):

  definePosition (in positionsAsserted), | definePosition (in positionsAsserted)

Known Usage Locations

- As direct type of elements (2):

  definePosition (in positionsAsserted), | definePosition (in positionsAsserted)

Annotation
A type that allows a position to be defined. It includes identification information (ID and version), trade information, etc.
Type Definition Detail

Type Derivation Tree Position (extension) DefinePosition

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="DefinePosition"> <xsd:complexContent> <xsd:extension base="Position"> <xsd:sequence> <xsd:element minOccurs="0" name="forceMatch" type="PositionReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/11)
forceMatch

  Type: | PositionReference, complex content

  An optional reference to a position supplied by the matching party that is known to match this one.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forceMatch" type="PositionReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.